Bug 150974 - www/cybercalendar : port fix / deprecate
Summary: www/cybercalendar : port fix / deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-26 21:30 UTC by Rodrigo OSORIO
Modified: 2010-11-10 15:40 UTC (History)
0 users

See Also:


Attachments
cybercalendar.patch (2.06 KB, patch)
2010-11-04 09:41 UTC, Rodrigo OSORIO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo OSORIO 2010-09-26 21:30:13 UTC
	The Cybercalendar port is quite outdated and the database creation scripts doesn't work
	with the new mysql versions.
	This patch fix the problem adding two files to the existing port. 

	files/patch-setup-db-caluser.sql 
	Who fix the 'caluser' user creation into the mysql database and grants the user permissions in the right way.
	
	files/patch-setup-db-calendar.sql
	Who fix the tables creation SQL scripts using deprecated and erroneous calls
	I also fix the database structure, extending the password field in the user table to
	50 characters to match with the hashes returned by the mysql function password.

	After that I suggest to declare Cybercallendar deprecate because most of the dates in the forms are hardcoded in
	the scripts and there is no way to declare events *after* 2010 in the calendar without code changes.  

	DEPRECATED= Use www/webcalendar instead
Comment 1 Edwin Groothuis freebsd_committer 2010-09-26 21:30:17 UTC
Maintainer of www/cybercalendar,

Please note that PR ports/150974 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150974

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-26 21:30:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Janos Mohacsi 2010-09-26 23:19:07 UTC
 I approve this port no longer maintainable.
    Best Regards,
                Janos Mohacsi
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-09-26 23:40:17 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 wenheping 2010-11-03 08:08:49 UTC
But where is the patch file ?

wen
Comment 6 Rodrigo OSORIO 2010-11-04 09:41:46 UTC
On 03/11/10 16:08 +0800, wen heping wrote:
> But where is the patch file ?
> 
> wen
> 

Hi,

You right, there is a missing file.

The attached file is the original fix;
I suppose you don't need a patch to add
the DEPRECATE flag into the Makefile.

regards
- rodrigo
Comment 7 Stefan Walter freebsd_committer 2010-11-10 13:53:31 UTC
Hi,

given that Janos agreed that the port is no longer maintainable, is there
any point in updating it at all? Wouldn't it be better to just deprecate
it and schedule its removal, say, a month or two later?

Regards,
Stefan
Comment 8 Rodrigo OSORIO 2010-11-10 15:03:13 UTC
Stephan,

I approve the removal for two reasons :
 - The application is useless (the dates are harcoded) 
   : no event can be scheduled after december 2010.
 - There is no  mantainer for the code *the last
   version was released in 2001*

Maintaining this application active is a good way to
confuse users about ports reliability. 
 
regards,
Rodrigo
 




On 10/11/10 14:53 +0100, Stefan Walter wrote:
> Hi,
> 
> given that Janos agreed that the port is no longer maintainable, is there
> any point in updating it at all? Wouldn't it be better to just deprecate
> it and schedule its removal, say, a month or two later?
> 
> Regards,
> Stefan
Comment 9 dfilter service freebsd_committer 2010-11-10 15:36:01 UTC
stefan      2010-11-10 15:35:56 UTC

  FreeBSD ports repository

  Modified files:
    www/cybercalendar    Makefile 
  Log:
  Mark as DEPRECATED with an EXPIRATION_DATE of 2010-12-31: Has been unmaintained
  since 2001 and doesn't support dates after 2010.
  
  PR:             150974
  Submitted by:   Rodrigo OSORIO (ros) <rodrigo@bebik.net>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.11      +4 -0      ports/www/cybercalendar/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Stefan Walter freebsd_committer 2010-11-10 15:36:09 UTC
State Changed
From-To: open->closed

Port marked as DEPRECATED with an EXPIRATION_DATE of 2010-12-31. Thanks for 
helping with keeping the ports tree clean!